Bug 192829 - Bug in processing parenthesis when using AuthzLDAPMapMethod 'issuersubject'
Summary: Bug in processing parenthesis when using AuthzLDAPMapMethod 'issuersubject'
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mod_authz_ldap (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: 176344 198694
TreeView+ depends on / blocked
 
Reported: 2006-05-23 14:11 UTC by Jose Plans
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0232
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 17:13:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch fixing the parsing issue. (538 bytes, patch)
2006-05-23 14:11 UTC, Jose Plans
no flags Details | Diff
More complete patch. This one definitely solves the issue. (1.42 KB, patch)
2006-06-26 13:10 UTC, Jose Plans
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0232 normal SHIPPED_LIVE mod_authz_ldap bug fix update 2007-05-01 17:13:03 UTC

Description Jose Plans 2006-05-23 14:11:49 UTC
Hi,
 this customer experiences problems with their client certificate when using
mod_authz_ldap and using AuthzLDAPMapMethod. It seems the problem comes from
processing the parenthesis, the parse is not correct and fails validating the
veractity of the certificate, ending up within a neverending loop.
 This only seems to happen when using the option AuthzLDAPMapMethod 'issuersubject'.
 
 The versions affected are mod_authz_ldap-0.26-2 

 The original code presents :
    
        while ((*p) && ((q - new) < MAX_STRING_LEN))
                if ((*p == '(') || (*p == ')')) {
                        *q++ = '\\';
                        *q++ = *p++;
                }
        *q = '\0';

 But does not seem to be correct, as the customer stated, *q++ = *p++ should be
out of the condition to let the pointers go to the next chars. The solution
should be :

        while ((*p) && ((q - new) < MAX_STRING_LEN)) {
                if ((*p == '(') || (*p == ')'))
                        *q++ = '\\';
                *q++ = *p++;			
        }
        *q = '\0';

Please find attached the correspondant patch fixing this parsing problem.
jose

Comment 1 Jose Plans 2006-05-23 14:11:50 UTC
Created attachment 129867 [details]
Patch fixing the parsing issue.

Comment 4 Jose Plans 2006-06-26 13:10:03 UTC
Created attachment 131536 [details]
More complete patch. This one definitely solves the issue.

Comment 8 RHEL Product and Program Management 2006-10-09 22:06:41 UTC
The component this request has been filed against is not planned for inclusion
in the next update. The decision is based on weighting the priority and number
of requests for a component as well as the impact on the Red Hat Enterprise
Linux user-base: other components are considered having higher priority and the
number of changes we intend to include in update cycles is limited.

Comment 9 RHEL Product and Program Management 2006-10-09 22:16:18 UTC
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 

Comment 20 Red Hat Bugzilla 2007-05-01 17:13:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0232.html


Comment 21 Issue Tracker 2007-06-25 10:02:25 UTC
fixed problem with bugzilla - CRM ticket closed by customer

Internal Status set to 'Resolved'
Status set to: Closed by Client
Resolution set to: 'Security Errata'

This event sent from IssueTracker by zakhtar 
 issue 94280


Note You need to log in before you can comment on or make changes to this bug.